Update Room Participant
PATCH
Changes a Room person's or invitation's access level: view, edit or full access. Only Full access can give Full access. Requires explicit user intent.
header
AuthorizationBearer <token>A signed-in SMB user's access token. Workspace-scoped operations also require SMB-Workspace-Id.
room_id*stringStable Room ID.
Match
^rom_[0-7][0-9A-HJKMNP-TV-Z]{25}$participant_id*stringFormat
uuidSMB-Workspace-Id*stringWorkspace where this operation runs. Required for user tokens and Workspace API keys.
Format
uuidIdempotency-Key*stringLength
8 <= length <= 200application/json- body
access_level*stringValue in
"view""edit""full_access"Successful authorized response.
application/json- response
participant*action_receipt*idempotent_replay*smb_v0_operations_create_list_request.__local.properties.body.__schema16request_id*stringcurl -X PATCH 'https://example.com/v1/rooms/string/participants/497f6eca-6276-4993-bfeb-53cbbbba6f08' \ -H 'SMB-Workspace-Id: 497f6eca-6276-4993-bfeb-53cbbbba6f08' \ -H 'Idempotency-Key: stringst' \ -H 'Content-Type: application/json' \ -d '{ "access_level": "view"}'{ "participant": { "participant_id": "78084e63-1c1c-45af-adf1-2af96784867b", "type": "user", "user_id": "string", "email": "user@example.com", "name": "string", "access_level": "view", "status": "active", "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z", "expires_at": "2019-08-24T14:15:22Z" }, "action_receipt": { "receipt_id": "64d0a161-468e-472a-b00e-a06ee9ab7de7", "command_id": "7d510d78-7444-4252-aeac-9e473949661e", "operation": "string", "workspace_id": "0967198e-ec7b-4c6b-b4d3-f71244cadbe9" }, "idempotent_replay": true, "request_id": "string"}